/**
 * SPDX-FileCopyrightText: 2016-2022 Dr. Tobias Quathamer <toddy@debian.org>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

/**
 * Global variables to hold program options.
 */
extern gchar *option_standard;
extern gchar *option_pathname;
extern gchar *option_namefield;
extern gchar *option_locale;
extern gboolean option_null_separator;
extern gboolean option_flag_output;
extern gboolean option_version;

gboolean options_parse_command_line(gchar ** arguments, GError ** error);
void options_set_default_values(void);
gboolean options_validate(GError ** error);
gchar *options_get_filename(void);
void options_show_version(void);
